
Infrastructure - Task #6620

Story # 6616 (Closed): release and deploy CCI-1.5.0

deploy stable CCI-1.5.0 release to STAGE

2014-11-18 19:40 - Rob Nahf

Status: Closed Start date: 2014-11-18

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

see http://jenkins-1.dataone.org/documentation/unstable/Ops-Documentation-development/coordinating_node_deployment/

and possibly https://knb.ecoinformatics.org/knb/docs/configuration.html

History

#1 - 2014-11-18 19:41 - Rob Nahf

- Subject changed from deploy stable CCI-1.5.0 release to production to deploy stable CCI-1.5.0 release to STAGE

#2 - 2014-11-19 17:59 - Dave Vieglais

- Target version set to CCI-1.5.0

#3 - 2014-11-21 20:12 - Rob Nahf

- Description updated

#4 - 2014-11-21 20:20 - Rob Nahf

- Description updated

#5 - 2014-11-26 20:35 - Rob Nahf

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

- Assignee set to Rob Nahf

followed the instructions on deploying CN from above.

Notes from the deployment:

1. did not clone prior to upgrade (step 0)

2. cn-stage-ucsb-1 remains the active CN.

3. d1-processing was already off on cn-ucsb-1 for some reason when we began the upgrade process

4. did an apt-get dist-upgrade in step 4.1

5. d1-cn-os-core was not redeployed, so did not need to reconfigure it (step 4.1)

6. skipped step 6 (rebuilding the index, since index did not have any schema changes
